# -*- encoding: utf-8 -*-
# stub: roadie 3.1.1 ruby lib

Gem::Specification.new do |s|
  s.name = "roadie"
  s.version = "3.1.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Magnus Bergmark"]
  s.date = "2015-12-11"
  s.description = "Roadie tries to make sending HTML emails a little less painful by inlining stylesheets and rewriting relative URLs for you."
  s.email = ["magnus.bergmark@gmail.com"]
  s.extra_rdoc_files = ["README.md", "Changelog.md"]
  s.files = [".autotest", ".gitignore", ".travis.yml", ".yardopts", "Changelog.md", "Gemfile", "Guardfile", "MIT-LICENSE", "README.md", "Rakefile", "autotest/discover.rb", "lib/roadie.rb", "lib/roadie/asset_provider.rb", "lib/roadie/asset_scanner.rb", "lib/roadie/cached_provider.rb", "lib/roadie/deduplicator.rb", "lib/roadie/document.rb", "lib/roadie/errors.rb", "lib/roadie/filesystem_provider.rb", "lib/roadie/inliner.rb", "lib/roadie/markup_improver.rb", "lib/roadie/net_http_provider.rb", "lib/roadie/null_provider.rb", "lib/roadie/null_url_rewriter.rb", "lib/roadie/path_rewriter_provider.rb", "lib/roadie/provider_list.rb", "lib/roadie/rspec.rb", "lib/roadie/rspec/asset_provider.rb", "lib/roadie/rspec/cache_store.rb", "lib/roadie/selector.rb", "lib/roadie/style_attribute_builder.rb", "lib/roadie/style_block.rb", "lib/roadie/style_property.rb", "lib/roadie/stylesheet.rb", "lib/roadie/url_generator.rb", "lib/roadie/url_rewriter.rb", "lib/roadie/utils.rb", "lib/roadie/version.rb", "roadie.gemspec", "spec/fixtures/big_em.css", "spec/fixtures/stylesheets/green.css", "spec/hash_as_cache_store_spec.rb", "spec/integration_spec.rb", "spec/lib/roadie/asset_scanner_spec.rb", "spec/lib/roadie/cached_provider_spec.rb", "spec/lib/roadie/css_not_found_spec.rb", "spec/lib/roadie/deduplicator_spec.rb", "spec/lib/roadie/document_spec.rb", "spec/lib/roadie/filesystem_provider_spec.rb", "spec/lib/roadie/inliner_spec.rb", "spec/lib/roadie/markup_improver_spec.rb", "spec/lib/roadie/net_http_provider_spec.rb", "spec/lib/roadie/null_provider_spec.rb", "spec/lib/roadie/null_url_rewriter_spec.rb", "spec/lib/roadie/path_rewriter_provider_spec.rb", "spec/lib/roadie/provider_list_spec.rb", "spec/lib/roadie/selector_spec.rb", "spec/lib/roadie/style_attribute_builder_spec.rb", "spec/lib/roadie/style_block_spec.rb", "spec/lib/roadie/style_property_spec.rb", "spec/lib/roadie/stylesheet_spec.rb", "spec/lib/roadie/test_provider_spec.rb", "spec/lib/roadie/url_generator_spec.rb", "spec/lib/roadie/url_rewriter_spec.rb", "spec/lib/roadie/utils_spec.rb", "spec/shared_examples/asset_provider.rb", "spec/shared_examples/url_rewriter.rb", "spec/spec_helper.rb", "spec/support/have_attribute_matcher.rb", "spec/support/have_node_matcher.rb", "spec/support/have_selector_matcher.rb", "spec/support/have_styling_matcher.rb", "spec/support/test_provider.rb"]
  s.homepage = "http://github.com/Mange/roadie"
  s.licenses = ["MIT"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9")
  s.rubygems_version = "2.4.5.1"
  s.summary = "Making HTML emails comfortable for the Ruby rockstars"
  s.test_files = ["spec/fixtures/big_em.css", "spec/fixtures/stylesheets/green.css", "spec/hash_as_cache_store_spec.rb", "spec/integration_spec.rb", "spec/lib/roadie/asset_scanner_spec.rb", "spec/lib/roadie/cached_provider_spec.rb", "spec/lib/roadie/css_not_found_spec.rb", "spec/lib/roadie/deduplicator_spec.rb", "spec/lib/roadie/document_spec.rb", "spec/lib/roadie/filesystem_provider_spec.rb", "spec/lib/roadie/inliner_spec.rb", "spec/lib/roadie/markup_improver_spec.rb", "spec/lib/roadie/net_http_provider_spec.rb", "spec/lib/roadie/null_provider_spec.rb", "spec/lib/roadie/null_url_rewriter_spec.rb", "spec/lib/roadie/path_rewriter_provider_spec.rb", "spec/lib/roadie/provider_list_spec.rb", "spec/lib/roadie/selector_spec.rb", "spec/lib/roadie/style_attribute_builder_spec.rb", "spec/lib/roadie/style_block_spec.rb", "spec/lib/roadie/style_property_spec.rb", "spec/lib/roadie/stylesheet_spec.rb", "spec/lib/roadie/test_provider_spec.rb", "spec/lib/roadie/url_generator_spec.rb", "spec/lib/roadie/url_rewriter_spec.rb", "spec/lib/roadie/utils_spec.rb", "spec/shared_examples/asset_provider.rb", "spec/shared_examples/url_rewriter.rb", "spec/spec_helper.rb", "spec/support/have_attribute_matcher.rb", "spec/support/have_node_matcher.rb", "spec/support/have_selector_matcher.rb", "spec/support/have_styling_matcher.rb", "spec/support/test_provider.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<nokogiri>, ["< 1.7.0", ">= 1.5.0"])
      s.add_runtime_dependency(%q<css_parser>, ["~> 1.3.4"])
      s.add_development_dependency(%q<rspec>, ["~> 3.0"])
      s.add_development_dependency(%q<rspec-collection_matchers>, ["~> 1.0"])
      s.add_development_dependency(%q<webmock>, ["~> 1.21.0"])
    else
      s.add_dependency(%q<nokogiri>, ["< 1.7.0", ">= 1.5.0"])
      s.add_dependency(%q<css_parser>, ["~> 1.3.4"])
      s.add_dependency(%q<rspec>, ["~> 3.0"])
      s.add_dependency(%q<rspec-collection_matchers>, ["~> 1.0"])
      s.add_dependency(%q<webmock>, ["~> 1.21.0"])
    end
  else
    s.add_dependency(%q<nokogiri>, ["< 1.7.0", ">= 1.5.0"])
    s.add_dependency(%q<css_parser>, ["~> 1.3.4"])
    s.add_dependency(%q<rspec>, ["~> 3.0"])
    s.add_dependency(%q<rspec-collection_matchers>, ["~> 1.0"])
    s.add_dependency(%q<webmock>, ["~> 1.21.0"])
  end
end
